import * as React from 'react';
import type { DroppableProvided } from 'react-beautiful-dnd';
import type { ListItem } from "./ListItem.js";
export type SimpleContainerProps = React.PropsWithChildren<{
    itemCount: number;
    provided?: DroppableProvided;
    onScrollToItem?: (node: HTMLElement) => boolean;
}>;
type RefsList = Record<number, React.RefObject<ListItem>>;
export type SimpleContainerState = {
    refsList: RefsList;
};
export declare class SimpleContainer extends React.Component<SimpleContainerProps, SimpleContainerState> {
    static getDerivedStateFromProps({ itemCount }: SimpleContainerProps, prevState: SimpleContainerState): SimpleContainerState;
    node: HTMLDivElement | null;
    constructor(props: SimpleContainerProps);
    render(): import("react/jsx-runtime").JSX.Element;
    scrollToItem(index: number): void;
    private setRef;
}
export {};
