'use client';
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaginationPageSizer = void 0;
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const Select_1 = require("../../../Select/index.js");
const constants_1 = require("../../constants.js");
const i18n_1 = tslib_1.__importDefault(require("../../i18n/index.js"));
const utils_1 = require("../../utils.js");
const PaginationPageSizer = ({ onUpdate, pageSize, size, page, pageSizeOptions, total, className, }) => {
    const options = pageSizeOptions.map((pageSizeOption) => ({
        value: String(pageSizeOption),
        content: pageSizeOption,
        qa: (0, constants_1.getPaginationPageSizeOptionQa)(pageSizeOption),
    }));
    const handleUpdate = ([newPageSizeOnUpdate]) => {
        const newPageSize = Number(newPageSizeOnUpdate);
        const numberOfPages = (0, utils_1.getNumberOfPages)(newPageSize, total);
        const hasUpperLimit = numberOfPages > 0;
        if (!hasUpperLimit) {
            onUpdate(1, newPageSize);
            return;
        }
        const newPage = page > numberOfPages ? numberOfPages : page;
        onUpdate(newPage, newPageSize);
    };
    return ((0, jsx_runtime_1.jsx)(Select_1.Select, { qa: constants_1.PaginationQa.PaginationPageSizer, className: className, size: size, onUpdate: handleUpdate, options: options, value: [String(pageSize)], title: (0, i18n_1.default)('label_select_size') }));
};
exports.PaginationPageSizer = PaginationPageSizer;
//# sourceMappingURL=PaginationPageSizer.js.map
