import type * as React from 'react';
import type { QAProps } from "../types.js";
import "./Skeleton.css";
export interface SkeletonProps extends Pick<React.HTMLAttributes<HTMLDivElement>, 'className' | 'style'>, QAProps {
    /**
     * Animation type to apply to the skeleton
     * @default 'gradient'
     */
    animation?: 'gradient' | 'pulse' | 'none';
}
export declare function Skeleton({ className, style, qa, animation }: SkeletonProps): import("react/jsx-runtime").JSX.Element;
