import type { TextInputProps } from "../TextInput/index.js";
import "./PasswordInput.css";
export type PasswordInputProps = Omit<TextInputProps, 'type'> & {
    /** Hide copy button */
    hideCopyButton?: boolean;
    /** Hide reveal button */
    hideRevealButton?: boolean;
    /** Determines whether to display the tooltip for the copy button */
    showCopyTooltip?: boolean;
    /** Determines whether to display the tooltip for the reveal button */
    showRevealTooltip?: boolean;
    /** Determines the visibility state of the password input field */
    revealValue?: boolean;
    /** A callback function that is invoked whenever the revealValue state changes */
    onRevealValueUpdate?: (value: boolean) => void;
};
export declare const PasswordInput: (props: PasswordInputProps) => import("react/jsx-runtime").JSX.Element;
