import * as React from 'react';
import type { QAProps } from "../../../types.js";
import "./ListContainerView.css";
export interface ListContainerViewProps extends QAProps {
    /**
     * Ability to override default html tag
     */
    as?: keyof JSX.IntrinsicElements;
    id?: string;
    role?: React.AriaRole;
    className?: string;
    style?: React.CSSProperties;
    /**
     * Removes `overflow: auto` from container and set fixed container size (`--g-list-height` = `300px`)
     */
    fixedHeight?: boolean;
    children: React.ReactNode;
    extraProps?: React.HTMLAttributes<'div'>;
}
export declare const ListContainerView: React.ForwardRefExoticComponent<ListContainerViewProps & React.RefAttributes<HTMLDivElement>>;
