import * as React from 'react';
import type { HotkeyProps } from "../Hotkey/index.js";
import type { TooltipProps } from "../Tooltip/index.js";
import type { DOMProps, QAProps } from "../types.js";
import "./ActionTooltip.css";
export interface ActionTooltipProps extends QAProps, DOMProps, Omit<TooltipProps, 'content' | 'role'> {
    /** Floating element title */
    title: string;
    /** Floating element description */
    description?: React.ReactNode;
    /** Floating element hotkey label */
    hotkey?: HotkeyProps['value'];
}
export declare function ActionTooltip({ title, description, hotkey, openDelay, closeDelay, className, ...restProps }: ActionTooltipProps): import("react/jsx-runtime").JSX.Element;
