import type { ButtonButtonProps } from "../Button/index.js";
import type { CopyToClipboardProps, CopyToClipboardStatus } from "../CopyToClipboard/types.js";
import "./ClipboardButton.css";
export interface ClipboardButtonProps extends Omit<CopyToClipboardProps, 'children'>, Omit<ClipboardButtonComponentProps, 'status' | 'closeDelay'> {
}
interface ClipboardButtonComponentProps extends Omit<ButtonButtonProps, 'onCopy'> {
    status: CopyToClipboardStatus;
    closeDelay: number | undefined;
    /** Disable tooltip. Tooltip won't be shown */
    hasTooltip?: boolean;
    /** Text shown before copy */
    tooltipInitialText?: string;
    /** Text shown after copy */
    tooltipSuccessText?: string;
    /** Position of clipboard icon */
    iconPosition?: 'start' | 'end';
}
export declare function ClipboardButton(props: ClipboardButtonProps): import("react/jsx-runtime").JSX.Element;
export {};
