import * as React from 'react';
import type { QAProps } from "../types.js";
import type { FilePreviewAction } from "./types.js";
import "./FilePreview.css";
interface FilePreviewBaseProps extends QAProps {
    className?: string;
    file: File;
    imageSrc?: string;
    description?: string;
    onClick?: React.MouseEventHandler<HTMLDivElement>;
    selected?: boolean;
}
interface DefaultFilePreviewProps extends FilePreviewBaseProps {
    actions?: FilePreviewAction[];
    view?: 'default';
}
interface CompactFilePreviewProps extends FilePreviewBaseProps {
    actions?: never;
    view: 'compact';
}
export type FilePreviewProps = DefaultFilePreviewProps | CompactFilePreviewProps;
export declare function FilePreview(props: FilePreviewProps): import("react/jsx-runtime").JSX.Element;
export declare namespace FilePreview {
    var displayName: string;
}
export {};
