'use client';
import { jsx as _jsx } from "react/jsx-runtime";
import { Select } from "../../../Select/index.js";
import { PaginationQa, getPaginationPageSizeOptionQa } from "../../constants.js";
import i18n from "../../i18n/index.js";
import { getNumberOfPages } from "../../utils.js";
export const PaginationPageSizer = ({ onUpdate, pageSize, size, page, pageSizeOptions, total, className, }) => {
    const options = pageSizeOptions.map((pageSizeOption) => ({
        value: String(pageSizeOption),
        content: pageSizeOption,
        qa: getPaginationPageSizeOptionQa(pageSizeOption),
    }));
    const handleUpdate = ([newPageSizeOnUpdate]) => {
        const newPageSize = Number(newPageSizeOnUpdate);
        const numberOfPages = getNumberOfPages(newPageSize, total);
        const hasUpperLimit = numberOfPages > 0;
        if (!hasUpperLimit) {
            onUpdate(1, newPageSize);
            return;
        }
        const newPage = page > numberOfPages ? numberOfPages : page;
        onUpdate(newPage, newPageSize);
    };
    return (_jsx(Select, { qa: PaginationQa.PaginationPageSizer, className: className, size: size, onUpdate: handleUpdate, options: options, value: [String(pageSize)], title: i18n('label_select_size') }));
};
//# sourceMappingURL=PaginationPageSizer.js.map
